(Beta) Create a Customer-Controlled Cluster

Create a Customer-Controlled Cluster.

Token Permissions: [ dc:put ]

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

The unique identifier of the datacenter for the customer-controlled cluster.

string
required

The name of the customer-controlled cluster.

string
required

The cloud provider of the customer-controlled cluster.

string
required

The cloud region of the customer-controlled cluster.

string

The environment for the customer-controlled cluster.

string
length between 0 and 255
^[A-Za-z0-9._/:-]+$
Defaults to gcr.io/gcp-maas-prod

The container registry to use for downloading Mission Control Agent and event broker images.

string
boolean
Defaults to true

Indicates whether to apply Kubernetes node selectors based on the service class. A value of true applies node selectors to schedule pods on appropriate nodes, and false disables this behavior. The default is true.

string
Defaults to gcr-reg-secret

The name of the Kubernetes secret that contains the container registry credentials. The default is gcr-reg-secret.

string
Defaults to gp2

The name of the Kubernetes storage class for broker persistent volumes. The default is gp2.

cloudAgentPodLabels
object

The labels to apply to the Mission Control Agent pod.

cloudAgentNodeSelectors
object

The node selectors to apply to the Mission Control Agent pod.

cloudAgentTolerations
array of objects

The tolerations to apply to the Mission Control Agent pod.

cloudAgentTolerations
primaryPodLabels
object

The labels to apply to the primary pod.

primaryNodeSelectors
object

The node selectors to apply to the primary pod.

primaryTolerations
array of objects

The tolerations to apply to the primary pod.

primaryTolerations
backupPodLabels
object

The labels to apply to the backup pod.

backupNodeSelectors
object

The node selectors to apply to the backup pod.

backupTolerations
array of objects

The tolerations to apply to the backup pod.

backupTolerations
monitorPodLabels
object

The labels to apply to the monitoring pod.

monitorNodeSelectors
object

The node selectors to apply to the monitoring pod.

monitorTolerations
array of objects

The tolerations to apply to the monitoring pod.

monitorTolerations
serviceAnnotations
array of objects

The annotations to apply to Kubernetes service resources for legacy load balancer configuration.

serviceAnnotations
internalServiceAnnotations
array of objects

The annotations on Kubernetes services for private connection endpoints of event brokers.

internalServiceAnnotations
externalServiceAnnotations
array of objects

The annotations on Kubernetes services for public connections endpoints of event brokers.

externalServiceAnnotations
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*